Subject: Re: bug#19390: 25.0.50; `package-activate' is too slow

From: Dmitry Gutov <[email-masked]>
Date: Thu, 18 Dec 2014 12:37:21 +0200

On 12/18/2014 04:11 AM, Artur Malabarba wrote:

> I agree. And no, IIUC this hasn't been implemented yet. I suggested a
> couple of style improvements and haven't heard back.

Sorry, got sidetracked. Installed with suggestions, except for the last 
docstring line (too obvious IMO).

Still, I think we'd rather not spend too much time on reloading packages 
when upgrading, so please consider my latest patch.

Aside from it, if we compare with the alternative implementation 
suggestions, the current one reloads all dependencies, even those that 
haven't been (re)installed during the current session.

That comes to about ~200 ms if the package in question only depends on 
Helm (44 files). Someone should try that with Org installed from ELPA.